Package ru.bitel.bgbilling.server.util

# Class PswdGen

java.lang.Object
ru.bitel.bgbilling.server.util.PswdGen

public class PswdGen extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_PASSWORD_CHARS`
  Набор по умолчанию, исторически - циферный
  `static final int`
  `DEFAULT_PASSWORD_LENGTH_MAX`
  `static final int`
  `DEFAULT_PASSWORD_LENGTH_MIN`
  `static final String`
  `DIGIT_PASSWORD_CHARS`
  Набор цифровой
  `static final String`
  `EXTENDED_PASSWORD_CHARS`
  Расширенный набор символов, с буквами
  `static final String`
  `EXTENDED_PASSWORD_CHARS_AUTO`
  Расширенный автогенерируемый набор символов (без O 0 I l, он же base58), очевидно подходит только в случае автогенерации, а не для проверки вручную пароля пользователя
  `static final String`
  `LOGIN_CHARS_AUTO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PswdGen()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkChars(String checkString, String chars)`
  `static String`
  `generateCode(String codePattern)`
  Генерация кодовой строки по шаблону типа rt[23456789abcdefghjkmnpqrstuvwxyz]{5} где rt -префикс, [...] - набор символов, {..} - количество символов
  `static String`
  `generatePassword(int length, String passwordChars)`
  `static String`
  `generatePassword(ParameterMap setup)`
  генерация пароля, используя настройки для авто-паролей из сетапа
  `static String`
  `generatePasswordRTU(int length, String passwordChars)`
  Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра.
  `static String`
  `generatePasswordRTU(ParameterMap setup)`
  Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра
  `static final String`
  `getPasswordChars(ParameterMap setup)`
  Получить строку из символов которых нужно создавать пароль
  `static final String`
  `getPasswordCharsAuto(ParameterMap setup)`
  Получить строку из символов которых нужно создавать автогенерируемый пароль Если не задано - берёт для обычных паролей.
  `static final int`
  `getPasswordLengthAuto(ParameterMap setup)`
  `static final int`
  `getPasswordLengthMax(ParameterMap setup)`
  `static final int`
  `getPasswordLengthMin(ParameterMap setup)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PASSWORD_LENGTH_MIN

    public static final int DEFAULT_PASSWORD_LENGTH_MIN
    See Also:
      - Constant Field Values

  - ### DEFAULT_PASSWORD_LENGTH_MAX

    public static final int DEFAULT_PASSWORD_LENGTH_MAX
    See Also:
      - Constant Field Values

  - ### LOGIN_CHARS_AUTO

    public static final String LOGIN_CHARS_AUTO
    See Also:
      - Constant Field Values

  - ### DIGIT_PASSWORD_CHARS

    public static final String DIGIT_PASSWORD_CHARS
    Набор цифровой
    See Also:
      - Constant Field Values

  - ### EXTENDED_PASSWORD_CHARS

    public static final String EXTENDED_PASSWORD_CHARS
    Расширенный набор символов, с буквами
    See Also:
      - Constant Field Values

  - ### EXTENDED_PASSWORD_CHARS_AUTO

    public static final String EXTENDED_PASSWORD_CHARS_AUTO
    Расширенный автогенерируемый набор символов (без O 0 I l, он же base58), очевидно подходит только в случае автогенерации, а не для проверки вручную пароля пользователя
    See Also:
      - Constant Field Values

  - ### DEFAULT_PASSWORD_CHARS

    public static final String DEFAULT_PASSWORD_CHARS
    Набор по умолчанию, исторически - циферный
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PswdGen

    public PswdGen()

- ## Method Details

  - ### generatePassword

    public static String generatePassword(int length, String passwordChars)

  - ### generatePassword

    public static String generatePassword(ParameterMap setup)
    генерация пароля, используя настройки для авто-паролей из сетапа

  - ### getPasswordLengthMin

    public static final int getPasswordLengthMin(ParameterMap setup)

  - ### getPasswordLengthMax

    public static final int getPasswordLengthMax(ParameterMap setup)

  - ### getPasswordLengthAuto

    public static final int getPasswordLengthAuto(ParameterMap setup)

  - ### getPasswordChars

    public static final String getPasswordChars(ParameterMap setup)
    Получить строку из символов которых нужно создавать пароль

  - ### getPasswordCharsAuto

    public static final String getPasswordCharsAuto(ParameterMap setup)
    Получить строку из символов которых нужно создавать автогенерируемый пароль Если не задано - берёт для обычных паролей.

  - ### generatePasswordRTU

    public static String generatePasswordRTU(ParameterMap setup)
    Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра
    Parameters:
      `setup` - - конфиг модуля, возмет от туда длину и символы для генерирования

  - ### generatePasswordRTU

    public static String generatePasswordRTU(int length, String passwordChars)
    Генерирует пароль так, чтобы в нем обязательно были хотябы - 1 маленькая буква - 1 большая буква - 1 цифра. Если это возможно, то есть представленные символы в passwordChars. Если длина пароля менне 3 символов, то возврощается стандартный генерируемый пароль.
    Parameters:
      `length` - - длина пароля
      `passwordChars` - - символя используемые для генерирования.

  - ### checkChars

    public static boolean checkChars(String checkString, String chars)

  - ### generateCode

    public static String generateCode(String codePattern)
    Генерация кодовой строки по шаблону типа rt[23456789abcdefghjkmnpqrstuvwxyz]{5} где rt -префикс, [...] - набор символов, {..} - количество символов
    Parameters:
      `password` -
      `pattern` -
    Returns: